import java.awt.*;
import java.applet.*;
import java.util.*;
import java.awt.event.*;
import Scroll2;

public class AppletControl extends Applet
  implements ActionListener
{
  Button btnStart;
  Button btnStop;
  Scroll2 appletScroll;
  
  // ============================================
  // init
  // ============================================
  public void init()
  {
    btnStart = new Button("Start");
    btnStop = new Button("Stop");
    add(btnStart);
    add(btnStop);

    btnStart.addActionListener(this);
    btnStop.addActionListener(this);
    
    AppletContext ac;
    
    ac = getAppletContext();
    appletScroll = 
      (Scroll2)ac.getApplet("Scroll2");
      
    setBackground(Color.yellow);  
  }
  
  // ============================================
  // actionPerformed
  // ============================================
  public void actionPerformed(ActionEvent e)
  {
    if(appletScroll != null)
    {
      if(e.getSource().equals(btnStart))
      {
	appletScroll.start();
      }
    
      else if(e.getSource().equals(btnStop))
      {
	appletScroll.stop();
      }
    }  
  }      
  
  // ===========================================
  // getAppletInfo
  // ===========================================
  public String getAppletInfo()
  {
    return "Name: AppletControl";
  }
}